PETSc version 3.17.4
Fix/Edit manual page

# DMPlexLandauIFunction

TS residual calculation

### Synopsis

    #include "petscdmplex.h"
    #include "petsclandau.h"
    PetscErrorCode DMPlexLandauIFunction(TS ts, PetscReal time_dummy, Vec X, Vec X_t, Vec F, void *actx)

Collective on ts

### Input Parameters

| TS | - The time stepping context
| time_dummy | - current time (not used)
| X | - Current state
| X_t | - Time derivative of current state
| actx | - Landau context

### Output Parameter

| F | - The residual

.keywords: mesh .seealso: DMPlexLandauCreateVelocitySpace(), DMPlexLandauIJacobian()

### Level

beginner

### Location

src/ts/utils/dmplexlandauplexland.c

### Examples

src/ts/utils/dmplexlandau/tutorials/ex1.c.html
src/ts/utils/dmplexlandau/tutorials/ex2.c.html
src/ts/utils/dmplexlandau/tutorials/ex1f90.F90.html
Index of all LANDAU routines
Table of Contents for all manual pages
Index of all manual pages